Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [SOLVED] apt messages "User sessions running outdated binaries"  (Read 6790 times)

Offline vayu

  • User
  • Posts: 224
On my new install I'm getting new messages from apt. "User sessions running outdated binaries". It seems like it takes a long time for apt to tell me this.  How can I turn this off?

Also do I need "No services need to be restarted. No containers need to be restarted."? Can I set it to restart if needed?
« Last Edit: 2018/01/15, 16:25:58 by vayu »

Offline piper

  • User
  • Posts: 1.785
  • we are the priests ... of the temples of syrinx
Re: apt messages "User sessions running outdated binaries"
« Reply #1 on: 2018/01/15, 13:36:26 »
Can I see

Code: [Select]
needrestart -v
From my experience needrestart had quite a few false positives last time I used it, granted, that was late 2016 early 2017, I purged it and never looked back

I didn't list all (google it)

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=843778
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=828103 - suppose to be fixed



Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Offline vayu

  • User
  • Posts: 224
Re: apt messages "User sessions running outdated binaries"
« Reply #2 on: 2018/01/15, 16:25:29 »
Thanks so much. I deleted needrestart. It's much better now.